Как понизить требуемую прошивку iOS

  • OdinTap
  • OdinTap аватар Автор темы
  • Ушел
  • Administrator
  • Administrator
Больше
4 года 4 мес. назад #1 от OdinTap
Иногда требуется понизить требования к приложению, сделать это достаточно легко! Установочный файл приложения *.ipa является обычным архивом. Скачиваем нужный файл приложения *.ipa и открываем его любым архиватором, предварительно изменив его разрешение на .zip, или просто открываем файл с помощью например программы WinRAR .
  1. Открываем архив, ищем и открываем файл Info.plist
    для редактирования файла Info.plist, советую использовать программу Notepad
  2. Ищем строку со значениями:
    <key>MinimumOSVersion</key>
    <string>6.0</string>
    6.0 - это минимальная версия прошивки
  3. Меняем значение минимальной прошивки 6.0 на нужное и сохраняем.
Примечание: прошивку без проблем можно понизить например с iOS 7.x на любую iOS 7.x, но нельзя понизить например прошивку iOS 7.x на iOS 6.x (понизить можно, но приложение будет вылетать). Бывают случаи когда разработчик специально завышает требуемую версию iOS, в этом случае можно понизить требования например с iOS 7.x на iOS 6.x.
Спасибо сказали: Menticide

Необходимо Войти или Регистрация, чтобы ответить в теме.

Больше
4 мес. 4 дн. назад #2 от Menticide
Понижение прошивки иногда работает и приложения запускаются. У меня Ipad 3 c IOS 8.4.1. На нём запустились такие приложения как "jade empire", "Banner Saga 2" и "Avernum 3 Ruined World". В Info.plist изначально стояло требование IOS 9.

Необходимо Войти или Регистрация, чтобы ответить в теме.